stoken-gui(1)

NAME
stoken-gui - GTK+ software token

SYNOPSIS
stoken-gui [opts]

DESCRIPTION

stoken-gui is a software token compatible with RSA SecurID 128-bit (AES) tokens. The graphical user interface provides limited support for password entry and viewing the current token. Initial token importation and other configuration items are handled through the command-line interface, stoken(1).

After using stoken import to populate ~/.stokenrc, stoken-gui may be invoked to display the tokencode and counter. The tokencode changes once a minute; stoken-gui may be left running forever and will copy the current tokencode to the clipboard on demand.

If a password and/or PIN is required, stoken-gui will pop up a dialog box requesting the appropriate information.

OPTIONS

--small
    Show a minimal window that only displays a tokencode and a progress bar. Clicking on the tokencode copies it to the clipboard.

--rcfile=file
    Use an alternate .stokenrc file. This is typically used to support multiple tokens on the same user account.

--password=password, -p password
    Use a password supplied from the command line, instead of prompting the user. See notes in SECURITY CONSIDERATIONS on the stoken(1) man page.

--pin=pin, -n pin
    Use a PIN supplied from the command line, instead of prompting the user. See notes in SECURITY CONSIDERATIONS on the stoken(1) man page.

--force, -f
    Override token expiration date check.

--file=file
    Use a token from file instead of the .stokenrc file. For testing purposes only.

--token=token_string
    Use a token from the command line instead of the .stokenrc file. See above notes on --file.

--random
    Generate a random token on the fly. Used for testing or demonstrations only. These tokens should not be used for real authentication.

--help, -h
    Display basic usage information.

--version, -v
    Display version information.

SEE ALSO

stoken(1).

FILES

~/.stokenrc
    Default configuration file.

AUTHOR
Kevin Cernekee <cernekee@gmail.com>